Index: FOIAVistA/tag/r/PAID-PRS/PRSAPPH.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAPPH.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAPPH.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSAPPH ; WOIFO/JAH - Holiday Utilities ;12/07/07
- ;;4.0;PAID;**33,66,113,112,116**;Sep 21, 1995;Build 23
+PRSAPPH ; HISC/REL-Holiday Utilities ;01/03/07
+ ;;4.0;PAID;**33,66,113**;Sep 21, 1995;Build 3
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  K HOL S PDT=$G(^PRST(458,PPI,1)) Q:PDT=""  S X1=$P(PDT,"^",1),X2=-6 D C^%DTC
@@ -14,5 +14,5 @@
 E0 ; Find Benefit Day
  Q:DAY=15  I DAY>0,DAY<15 G P0
- Q:DB'=1  Q:NH=48!(NH=72)  G P1:DAY<0,P3:DAY>14
+ Q:DB'=1  Q:NH=48  G P1:DAY<0,P3:DAY>14
 P0 S TC=$P($G(^PRST(458,PPI,"E",DFN,"D",DAY,0)),"^",2) Q:'TC
  I (TC=3)!(TC=4) G U1
@@ -21,5 +21,5 @@
  I TC=2!$P($G(^PRST(458,PPI,"E",DFN,"D",DAY,0)),"^",8)!$P($G(^(0)),"^",14),'$P($G(^(0)),"^",12) G S0
  Q:$P($G(^(0)),"^",12)=LLL&(TT="HX") 
- G U1:DB=2!(NH=72) I FLX'="C" G EF:(DAY#7=1),EB:(DAY#7=0)
+ G:DB=2 U1 I FLX'="C" G EF:(DAY#7=1),EB:(DAY#7=0)
  S C=0 F X1=$S(DAY<8:1,1:8):1:DAY I '$P($G(^PRST(458,PPI,"E",DFN,"D",X1,0)),"^",8),'$P($G(^(0)),"^",14) S C=C+1
  I FLX'="C" G EF:C<2,EB
Index: FOIAVistA/tag/r/PAID-PRS/PRSAPPO.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAPPO.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAPPO.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSAPPO ; HISC/MGD - Open New Pay Period ;07/30/07
- ;;4.0;PAID;**93,112**;Sep 21, 1995;Build 54
+PRSAPPO ; HISC/MGD - Open New Pay Period ;03/15/06
+ ;;4.0;PAID;**93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  S PPI=$P(^PRST(458,0),"^",3),PPE=$P(^PRST(458,PPI,0),"^",1)
@@ -27,7 +27,4 @@
  .I $P($G(^PRSPC(DFN,1)),"^",20)="Y" Q
  .I $P($G(^PRSPC(DFN,1)),"^",33)'="N" Q
- .S C0=^PRSPC(DFN,0)
- .I $P(C0,U,10)=2,$P(C0,U,16)=80 S NAWS="9Mo AWS",CT9=$G(CT9)+1
- .I $P(C0,U,10)=1,$P(C0,U,16)=72 S NAWS="36/40 AWS",CT36=$G(CT36)+1
  .S PRSIEN=DFN,MDAT=$P(PDT,U,1)
  .S MIEN=$$MIEN^PRSPUT1(PRSIEN,MDAT)
@@ -37,22 +34,7 @@
  .I $G(MIEN) D PLPP^PRSPLVA(PRSIEN,PPI)
  .;
- .; Call to Autopost PT Phy Extended Absence
+ .; Call to autopost PT Phy Extended Absence
  .I $G(MIEN) D PEAPP^PRSPEAA(PRSIEN,PPI)
  .S N=N+1 W:N#100=0 "." Q
- ;SEND A MESSAGE WHEN A 9 MONTH AWS NURSE IS ACTIVATED AT A SITE
- I +$G(NAWS) D
- .I $G(CT9) S TMP(1)=CT9_" 9 month AWS nurse(s) set up"
- .I $G(CT36) S TMP(2)=CT36_" 36/40 AWS nurse(s) set up"
- .S S=$$KSP^XUPARAM("INST")_"," D FIND^DIC(456,,,"Q",+S)
- .S IND=$S($D(^TMP("DILIST",$J,0)):+^(0),1:$O(^PRST(456,0)))
- .S CM9=$$GET1^DIQ(456,IND,2),CM36=$$GET1^DIQ(456,IND,4)
- .S MAX=$$GET1^DIQ(456,IND,3) N FDA,DIERR
- .I $G(CT9),CM9<MAX S FDA(456,IND_",",2)=CM9+1
- .I $G(CT36),CM36<MAX S FDA(456,IND_",",4)=CM36+1
- .Q:'$D(FDA)  D FILE^DIE("","FDA"),MSG^DIALOG()
- .S S=$$GET1^DIQ(4,+S,99)_" "_$$GET1^DIQ(4,+S,100),XMTEXT="TMP("
- .S TMP(3)="At "_S,XMDUZ=.5,XMY("VHAOIPAIDETANAWSBULLETIN@VA.GOV")=""
- .S XMSUB=+S_" 36/40, 9 month AWS nurse(s) deployed PRS*4.0*112"
- .D ^XMD K TMP
  S $P(^PRST(458,PPI,"E",0),"^",3,4)=N_"^"_N W !!,N," Employee Records created.",!
 EX G KILL^XUSCLEAN
Index: FOIAVistA/tag/r/PAID-PRS/PRSASR.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSASR.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSASR.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSASR ;HISC/MGD,WOIFO/JAH/PLT - Supervisor Certification ;02/05/2005
- ;;4.0;PAID;**2,7,8,22,37,43,82,93,112**;Sep 21, 1995;Build 54
+PRSASR ;HISC/MGD,WOIFO/JAH - Supervisor Certification ;02/05/2005
+ ;;4.0;PAID;**2,7,8,22,37,43,82,93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -79,9 +79,8 @@
  ;     ---------------------------------------------------
 CHK ; Check for needed approvals
- N PRSENT,PRSWOC
  S STAT=$P($G(^PRST(458,PPI,"E",DFN,0)),"^",2) I "PX"[STAT Q
  I USR=DFN Q:'$D(^XUSEC("PRSA SIGN",DUZ))
  E  I CKS S SSN=$P($G(^PRSPC(DFN,0)),"^",9) I SSN S EDUZ=+$O(^VA(200,"SSN",SSN,0)) I $D(^PRST(455.5,"AS",EDUZ,TLI)) Q:$P($G(^PRST(455.5,TLI,"S",EDUZ,0)),"^",2)'=TLE
- S HDR=0 D HDR,^PRSAENT S PRSENT=ENT
+ S HDR=0 D HDR
  ;
  ;Loop to display tour, exceptions(leave, etc..) & errors.
@@ -111,10 +110,4 @@
  .  D WARNSUP^PRSAOTT(PPE,DFN,VAL,WK,.OTERR,.O8,.OA)
  .  I OTERR S ^TMP($J,"OT",DFN,WK)=O8_"^"_OA
- ;
- ;warning message for rs/rn and on type of time
- I $E(PRSENT,5) D
- . I @($TR($$CD8B^PRSU1B2(VAL,"RS^3^RN^3",1),U,"+")_"-("_$TR($$RSHR^PRSU1B2(DFN,PPI),U,"+")_")") W !,?3,"WARNING: The total scheduled recess hours for this pay period does not match the total RS/RN posted."
- . I $G(PRSWOC)]"" W !,?3,"Warning: The entire tour for day# ",PRSWOC," is posted RECESS. The On-Call will be paid unless posted UNAVAILABLE."
- . QUIT
  ;
 LD ; Check for changes to the Labor Distribution Codes made during the pay
@@ -170,5 +163,5 @@
 HDR ; Display Header
  I HDR S QT=$$ASK^PRSLIB00() Q:QT
- S X=$G(^PRSPC(DFN,0)) W !,@IOF,?3,$P(X,"^",1) S X=$P(X,"^",9) I X W ?68,$E(X),"XX-XX-",$E(X,6,9) S HDR=1
+ S X=$G(^PRSPC(DFN,0)) W !,@IOF,?3,$P(X,"^",1) S X=$P(X,"^",9) I X W ?68,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9) S HDR=1
  W !,?6,"Date",?20,"Scheduled Tour",?40,"Tour Exceptions",?63,IORVON,"Tour Errors",IORVOFF
  W !?3 F I=1:1:72 W "-"
@@ -178,5 +171,5 @@
  N HOLD
  S HOLD=$$ASK^PRSLIB00(1)
- S X=$G(^PRSPC(DFN,0)) W !,@IOF,?3,$P(X,"^",1) S X=$P(X,"^",9) I X W ?68,$E(X),"XX-XX-",$E(X,6,9)
+ S X=$G(^PRSPC(DFN,0)) W !,@IOF,?3,$P(X,"^",1) S X=$P(X,"^",9) I X W ?68,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9)
  W !,?6,"Date",?20,"Scheduled Tour",?40,"Tour Exceptions",?63,IORVON,"Tour Errors",IORVOFF
  W !?3 F I=1:1:72 W "-"
@@ -193,5 +186,5 @@
  Q
  ;
- ;
+ ;====================================================================
  ;These extrinsic functions simply remove lengthy code from long, 
  ;single line, nested loop.
Index: FOIAVistA/tag/r/PAID-PRS/PRSASR1.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSASR1.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSASR1.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSASR1 ;WCIOFO/JAH - Display VCS, Fee, ED ;02/20/08
- ;;4.0;PAID;**6,21,82,93,116**;Sep 21, 1995;Build 23
+PRSASR1 ;HISC/MGD - Display VCS, Fee, ED ;04/19/05
+ ;;4.0;PAID;**6,21,82,93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
 VCS ; Display VCS Sales/Fee Basis
@@ -93,5 +93,5 @@
  W !,@IOF,?3,$P(X,"^",1)
  S X=$P(X,"^",9)
- I X W ?68,$E(X),"XX-XX-",$E(X,6,9)
+ I X W ?68,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9)
  W !,DASH
  D LDHDR
Index: FOIAVistA/tag/r/PAID-PRS/PRSATE.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSATE.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSATE.m	(revision 636)
@@ -1,4 +1,4 @@
 PRSATE ;WCIOFO/JAH - Enter/Edit Employee (emp) Tour of Duty (ToD) ;03/15/2005
- ;;4.0;PAID;**8,11,27,45,55,93,112**;Sep 21, 1995;Build 54
+ ;;4.0;PAID;**8,11,27,45,55,93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  N PPI,PPE,PRSTLV,TLI,TLE,DFN
@@ -46,5 +46,5 @@
  ; Display header/Ask pp (NOL^PRSATE2 returns SRT = Current, Next, Last)
  ;
- D NOW^%DTC S NOW=% K %
+ D NOW^%DTC S NOW=%
  W:$E(IOST,1,2)="C-" @IOF
  W !?26,"VA TIME & ATTENDANCE SYSTEM"
@@ -97,5 +97,5 @@
  ...    E  D
  ....      S NOERROR=1
- K NOW Q
+ Q
  ;=======================
  ;
@@ -120,5 +120,5 @@
  ; ask TK about all others.
  ;
- S DB=$P(C0,U,10) I FLX="C"!("KM"[PP&(DB=1)&(NH=72)) D
+ I FLX="C" D
  .   D VAR
  E  D
@@ -128,5 +128,5 @@
  ..    D VAR
  .  E  D FX
- K DB Q
+ Q
  ;=======================
  ;
@@ -147,5 +147,5 @@
  .  W "  ... done" D:HRS'=NH ERROR(2,NH,HRS)
  .  D T2,^PRSATE5
- D HOL,RS K HRS,STR
+ D HOL,RS
  Q
  ;=======================
@@ -205,5 +205,5 @@
  S $P(^PRST(458,PPI,"E",DFN,0),U,$S(SRT="N":7,1:6))=Y
  I $D(^PRST(458,"ATC",DFN)) D UPD^PRSASAL
- K PAY,ZENT Q
+ Q
  ;=======================
  ;
@@ -268,5 +268,5 @@
  ;
  D S1
- K OLD,SCH Q
+ Q
  ;=======================
  ;
@@ -298,5 +298,5 @@
  Q:'$D(HOL)
  S TT="HX",DUP=1
- D E^PRSAPPH K DUP,HOL,TT
+ D E^PRSAPPH
  Q
  ;=======================
@@ -332,5 +332,6 @@
  S DIR("?",1)="Fixed tours are Monday - Friday with the same hours."
  D ^DIR
- Q $S(Y=1:"Y",Y=0:"N",1:"^")
+ S RESP=$S(Y=1:"Y",Y=0:"N",1:"^")
+ Q RESP
  ;=======================
  ;
@@ -343,5 +344,6 @@
  S DIR("?")="Enter ^ to escape and cancel this tour change."
  D ^DIR
- Q $S(Y=1:"Y",Y=0:"N",1:"^")
- ;=======================
- ;
+ S RESP=$S(Y=1:"Y",Y=0:"N",1:"^")
+ Q RESP
+ ;=======================
+ ;
Index: FOIAVistA/tag/r/PAID-PRS/PRSATE0.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSATE0.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSATE0.m	(revision 636)
@@ -1,7 +1,6 @@
 PRSATE0 ; HISC/REL-Edit Variable Tours ;5/30/95  14:37
- ;;4.0;PAID;**112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;4.0;PAID;;Sep 21, 1995
  S TOLD="" F K=1:1:14 S Z=$P($G(^PRST(458,PPI,"E",DFN,"D",K,0)),"^",2),$P(TOLD,"^",K)=Z I SRT="N",$P($G(^(0)),"^",3) S $P(TOLD,"^",K)=$P(^(0),"^",4)
- K K S ^PRST(458,PPI,"E",DFN,"T")=TOLD D DT^PRSATE2
+ S ^PRST(458,PPI,"E",DFN,"T")=TOLD D DT^PRSATE2
  K DDSFILE,DA,DR,PRSAERR S DDSFILE=458,DDSFILE(1)=458.01,DA(1)=PPI,DA=DFN
  S DR="[PRSA TE EDIT]" D ^DDS K DS Q:$D(PRSAERR)
@@ -9,5 +8,5 @@
  I '$D(^PRST(458,PPI,"E",DFN,"D",0)) S ^(0)="^458.02^14^14"
  F DAY=1:1:14 S TD=$P(TNEW,"^",DAY) I TD>0 D S1
- K TNEW,TOLD Q
+ Q
 S1 ; Set Tour if necessary
  I TD=$P(TOLD,"^",DAY),$G(^PRST(457.1,+TD,1))=$G(^PRST(457.1,+$P(TOLD,"^",DAY),1)) Q
@@ -21,20 +20,8 @@
  Q
 VAL ; Validate Tour
- N NAWS,SNAWS,TDT S (ZENT,STR)="" K PRSAERR D OT^PRSATP S DB=$P(C0,U,10) I "KM"[PP,DB=1,NH=72 S NAWS=1
- S (HRS,TRS,TDT)=0 F DAY=1:1:14 D  I STR'="" G V1
- .S TD=$$GET^DDSVAL(DIE,.DA,DAY+200),Z=$P($G(^PRST(457.1,+TD,0)),"^",6) S:Z HRS=HRS+Z S Y=$G(^(1))
- .I DAY=7!(DAY=14)&'TDT S TDT=$P($G(^PRST(457.1,+TD,0)),U,5)="Y"
- .I $D(NAWS) S:Z'=12&Z NAWS=0 S $P(SNAWS,U,DAY)=TD I Z=12 S NAWS(DAY-1\7+1)=$G(NAWS(DAY-1\7+1))+1
- .D VS S:TRG TRS=TRS+1
+ S (ZENT,STR)="" K PRSAERR D OT^PRSATP
+ S (HRS,TRS)=0 F DAY=1:1:14 S TD=$$GET^DDSVAL(DIE,.DA,DAY+200) S Z=$P($G(^PRST(457.1,+TD,0)),"^",6) S:Z HRS=HRS+Z S Y=$G(^(1)) D VS S:TRG TRS=TRS+1 I STR'="" G V1
  I FLX="C",TRS>9 S STR="Warning: Compressed Schedule has more than 9 Tours!" D HLP^DDSUTL(.STR)
  I NH'=HRS,NH'=112 S STR="Warning: Normal Hours are "_NH_"; Tour Hours are "_HRS D HLP^DDSUTL(.STR)
- I $D(NAWS) D
- .I $G(NAWS(1))'=3!($G(NAWS(2))'=3)!'NAWS S STR=$P($T(NAWS1),";",3) D HLP^DDSUTL(.STR)
- .D TOURHRS^PRSARC07(.HRS,PPI,DFN,SNAWS)
- .I $G(HRS("W1"))'=36!($G(HRS("W2"))'=36) S STR=$P($T(NAWS2),";",3) D HLP^DDSUTL(.STR)
- .I $G(TDT) S STR=$P($T(NAWS3),";",3) D HLP^DDSUTL(.STR)
- K K,STR,TRG,TRS Q
-V1 S (DDSERROR,PRSAERR)=1 D HLP^DDSUTL(.STR) K DDSERROR Q
-NAWS1 ;;Warning: There are not three 12 hour tours in week 1 and/or week 2 for this AWS 36/40 Nurse
-NAWS2 ;;Warning: Hours in week 1 and/or week 2 are not 36 for this AWS 36/40 Nurse.
-NAWS3 ;;Warning: Tour overlaps two administrative work weeks for this 36/40 Nurse.
+ Q
+V1 S (DDSERROR,PRSAERR)=1 D HLP^DDSUTL(.STR) Q
Index: FOIAVistA/tag/r/PAID-PRS/PRSATP.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSATP.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSATP.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSATP ;HISC/REL,WIRMFO/MGD/PLT - Timekeeper Post Time ;11/21/06
- ;;4.0;PAID;**22,57,69,92,102,93,112**;Sep 21, 1995;Build 54
+PRSATP ;HISC/REL,WIRMFO/MGD - Timekeeper Post Time ;3/21/06
+ ;;4.0;PAID;**22,57,69,92,102,93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ; input (from calling option)
@@ -86,10 +86,12 @@
  ; ML to list if they are.  Added to be compliant with Public Law
  ; 106-554.
- S:$E(ENT,34) Z1=Z1_" 34",Z2=Z2_" ML"
- ;9/3 month employee entitled RS with recess hours in file# 458.8
- S:$E(ENT,5)&$P($$RSHR^PRSU1B2(DFN,PPE),U,DAY>7+1) Z1=Z1_" 5",Z2=Z2_" RS"
- F K=1:1:$L(Z1," ") I $E(ENT,$P(Z1," ",K)) S ZENT=ZENT_$P(Z2," ",K)_" "
- QUIT
  ;
+ I $E(ENT,34) D
+ . S Z1=Z1_" 34",Z2=Z2_" ML"
+ . F K=1:1:14 I $E(ENT,$P(Z1," ",K)) S ZENT=ZENT_$P(Z2," ",K)_" "
+ ;
+ I '$E(ENT,34) D
+ . F K=1:1:13 I $E(ENT,$P(Z1," ",K)) S ZENT=ZENT_$P(Z2," ",K)_" "
+ Q
 OT ; Get entitled out-of-tour types of time
  S Z1="12 28 26",Z2="OT CT ON" F K=1:1:3 I $E(ENT,$P(Z1," ",K)) S ZENT=ZENT_$P(Z2," ",K)_" " I ZENT'["UN" S ZENT=ZENT_"UN "
Index: FOIAVistA/tag/r/PAID-PRS/PRSATP1.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSATP1.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSATP1.m	(revision 636)
@@ -1,5 +1,4 @@
-PRSATP1 ; HISC/REL,WOIFO/PLT - Daily Post verification ;11/28/2006
- ;;4.0;PAID;**34,57,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSATP1 ; HISC/REL-Daily Post verification ;2/28/2000
+ ;;4.0;PAID;**34,57**;Sep 21, 1995
  ;routine is called to validate data entered during the 
  ;screenman posting of an employees pay period
@@ -12,21 +11,10 @@
  .I Z2>2880 D E5 Q
  .I $P(Z,"^",K+2)="" D E9 Q
- .;check duplicate start time if no rs-type of time in exception string z for node 2
- .I Z'["^RS",'(Z["HX"&("ON HW"[$P(Z,"^",K+2))),'(Z["^ON"&(Z["OT")),'(Z["^ON"&(Z["CT")),$D(T(Z1)) D E3 Q
+ .I '(Z["HX"&("ON HW"[$P(Z,"^",K+2))),'(Z["^ON"&(Z["OT")),'(Z["^ON"&(Z["CT")),$D(T(Z1)) D E3 Q
  .I $P(Z,"^",K+2)="HW",Z'["HX",'$P($G(^PRST(458,PPI,"E",DFN,"D",DAY,0)),"^",12) D E7 Q
- .I $P(Z,"^",K+2)'="" S T(Z1)=$G(T(Z1))_$P(Z,U,K+2)_U,T(Z1,K)=Z2_"^"_$P(Z,"^",K,K+3)
+ .I $P(Z,"^",K+2)'="" S T(Z1,K)=Z2_"^"_$P(Z,"^",K,K+3)
  .Q
  I '$D(T) Q
- ;check duplicate start time if rs in exception string z for node 2.
- S Z1="" I Z["^RS",'(Z["^ON"&(Z["OT")),'(Z["^ON"&(Z["CT")) F  S Z1=$O(T(Z1)) QUIT:Z1=""  QUIT:Z["HX"&("^ON^HW^"[T(Z1))  I $L(T(Z1),U)>2 D  QUIT:Z1="*"
- . N A
- . S A=T(Z1),A=U_A
- . I $L(A,U)>4 S Z1="*" QUIT
- . I A'["^RS^" S A=$P(A,"^ON")_$P(A,"^ON",2) S:A="" A="^ON" I "^CT^"'[A,"^OT^"'[A,Z'["^HX"!("^HW^"'[A) S Z1="*" QUIT
- . I A["^RS^" S A=$P(A,"^RS")_$P(A,"^RS",2) S:A="" A="^RS" I "^CT^OT^RG^ON^HW^"'[A S Z1="*" QUIT
- . QUIT
- G:Z1="*" E3
- ;exclude rs with ct, ot, rg, on, hw for error e2 check
- I Z'["HX",'(Z["^ON"&(Z["OT")),'(Z["^ON"&(Z["CT")) S Z1="" F  S Z1=$O(T(Z1)) Q:Z1=""  G:Z1'<T(Z1,$O(T(Z1,0))) E1 S Y=$O(T(Z1)) I Y,T(Z1,$O(T(Z1,0)))>Y G E2:'(T(Z1)["RS^"&("^CT^OT^RG^ON^HW^"[T(Y)))&'("^CT^OT^RG^ON^HW^"[T(Z1)&(T(Y)["RS^"))
+ I Z'["HX",'(Z["^ON"&(Z["OT")),'(Z["^ON"&(Z["CT")) S Z1="" F  S Z1=$O(T(Z1)) Q:Z1=""  G:Z1'<T(Z1,$O(T(Z1,0))) E1 S Y=$O(T(Z1)) I Y,T(Z1,$O(T(Z1,0)))>Y G E2
  S Z1="",LL=1 F  S Z1=$O(T(Z1)) Q:Z1=""  F K=0:0 S K=$O(T(Z1,K)) Q:K<1  D
  .S $P(ZS,"^",LL)=$P(T(Z1,K),"^",2),$P(ZS,"^",LL+1)=$P(T(Z1,K),"^",3),$P(ZS,"^",LL+2)=$P(T(Z1,K),"^",4) S:$P(T(Z1,K),"^",5)'="" $P(ZS,"^",LL+3)=$P(T(Z1,K),"^",5)
Index: FOIAVistA/tag/r/PAID-PRS/PRSATPE.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSATPE.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSATPE.m	(revision 636)
@@ -1,35 +1,11 @@
-PRSATPE ;WOIFO/PLT - Find Exceptions ;12/3/07
- ;;4.0;PAID;**26,34,69,102,112,116**;Sep 21, 1995;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSATPE ;HISC/REL-Find Exceptions ;12/08/05
+ ;;4.0;PAID;**26,34,69,102**;Sep 21, 1995
  K ER S (ECNT,FATAL)=0,X0=$G(^PRST(458,PPI,"E",DFN,"D",DAY,0)),STAT=$P($G(^(10)),"^",1)
  N MLTIME S MLTIME=0
  S TC=$P(X0,"^",2) I 'TC S ER(1)=$P($T(ERTX+1),";;",2),FATAL=1 G EX
- ;
- ;ensure Normal Hrs = tour hrs for hourly employees
- I DAY=14 I '$$HRSMATCH(PPI,DFN) S FATAL=1,ERR=21 D ERR3640 G EX
- ;
  I "1 3 4"'[TC,STAT="" S ER(1)=$P($T(ERTX+2),";;",2),FATAL=1 G EX
- ;
- ;  Validate NAWS 36/40 nurse tours--can't certify if errors
- N NAWSERR S NAWSERR=0
- I DAY=7!(DAY=14),$$NAWS3640(DFN,PPI) D
- .  I $$SAT2DAY(DAY/7,DFN,PPI) D
- ..    S FATAL=1 S ERR=16 D ERR3640 S ERR=17 D ERR3640
- ..    S NAWSERR=1
- .  I $$THREE12(DAY/7,DFN,PPI) D
- ..    S FATAL=1 I 'NAWSERR S ERR=16 D ERR3640
- ..    S ERR=$S(DAY=7:19,1:20) D ERR3640
- I DAY=1,$$NAWS3640(DFN,PPI),$$CARRYOVR(DFN,PPI) D
- .    S FATAL=1 S ERR=16 D ERR3640 S ERR=18 D ERR3640
- ;
- S X2=$G(^PRST(458,PPI,"E",DFN,"D",DAY,2)) G:X2="" EX S X1=$G(^(1)),X4=$G(^(4)),K=$P($G(^(10)),U,4)
- ;check recess entire day having un-unavailable posted for all scheduled on-on call
- I $E($G(PRSENT),5),K=2,X2["^RS" D
- . F K=1:3 QUIT:$P(X1,U,K,999)=""  S Z=$P(X1,U,K+2) I Z,$P($G(^PRST(457.2,Z,0)),"^",2)="ON",X2'[($P(X1,U,K,K+1)_"^UN") S PRSWOC=$G(PRSWOC)_DAY_"," QUIT
- . I $G(PRSWOC)'[(DAY_",") F K=1:3 QUIT:$P(X4,U,K,999)=""  S Z=$P(X4,U,K+2) I Z,$P($G(^PRST(457.2,Z,0)),"^",2)="ON",X2'[($P(X4,U,K,K+1)_"^UN") S PRSWOC=$G(PRSWOC)_DAY_"," QUIT
- . QUIT
- ;
+ S X2=$G(^PRST(458,PPI,"E",DFN,"D",DAY,2)) G:X2="" EX S X1=$G(^(1)),X4=$G(^(4))
  K TM I X2["OT"!(X2["CT") D TM
- K T,TRS F K=1:3 Q:$P(X1,"^",K)=""  S Z=$P(X1,"^",K+2) I $S('Z:1,1:$P($G(^PRST(457.2,Z,0)),"^",2)="RG") D
+ K T F K=1:3 Q:$P(X1,"^",K)=""  S Z=$P(X1,"^",K+2) I $S('Z:1,1:$P($G(^PRST(457.2,Z,0)),"^",2)="RG") D
  .S X=$P(X1,"^",K,K+1) D CNV^PRSATIM S Z1=$P(Y,"^",1),Z2=$P(Y,"^",2) D V0
  .I Z1'="",$G(T(Z1))="*" K T(Z1) S T(Z2)="*" Q
@@ -40,26 +16,15 @@
  .S T(Z1)="",T(Z2)="*" Q
  ;
- ;find rs-type of time segments of trs array in x2 posted string
- I X2["^RS" F K=1:4:25 QUIT:$P(X2,U,K,999)=""  S X=$P(X2,"^",K,K+1) I "^"'[X,$P(X2,"^",K+2)="RS" D
- . S TT=$P(X2,"^",K+2) D CNV^PRSATIM S Z1=$P(Y,"^",1),Z2=$P(Y,"^",2) D V1
- . I Z1'="",$G(TRS(Z1))="*" K TRS(Z1) S TRS(Z2)="*" QUIT
- . S TRS(Z1)="",TRS(Z2)="*"
- . QUIT
  ; Checks for Daily employees
  I "^"[$P(X2,"^",1,2) S TT=$P(X2,"^",3),K=1,DN=0,Y0="" G L0
  F K=1:4:25 S X=$P(X2,"^",K,K+1) I "^"'[X D
- . N Z3,Z4
- . S TT=$P(X2,"^",K+2)
- . D CNV^PRSATIM S Y0=Y,Z1=$P(Y,"^",1),Z2=$P(Y,"^",2) D V1 S TIM=Z2-Z1/60
- . S Z3=Z1,Z4=Z2
- . I TT="ML" S MLTIME=MLTIME+TIM
- . S Z1=$O(T(Z1)) S:Z1'="" Z1=T(Z1)
- . S Z2=$O(T(Z2-1)) S:Z2'="" Z2=T(Z2)
- . ;trs=1 if absolute outside rs, 2 if absolute inside rs, 3 if overlap (in/outside) rs and inside tour of duty
- . ;if exception segment start/ending time outside tour of duty, reset z3 and z4
- . I Z1]""!(Z2]""),X2["^RS" S:Z1=""&(Z2="*") Z3=$O(T(Z3)) S:Z1="*"&(Z2="") Z4=$O(T(Z3)) S Z3=$O(TRS(Z3)) S:Z3]"" Z3=TRS(Z3) S Z4=$O(TRS(Z4-1)) S:Z4]"" Z4=TRS(Z4) S TRS=$S(Z3=""&(Z4=""):1,Z3="*"&(Z4="*"):2,1:3)
- . I TT="UN" D UN^PRSATPH QUIT
- . I "CT OT ON SB RG"[TT D OT QUIT
- . D LV QUIT
+ .S TT=$P(X2,"^",K+2)
+ .D CNV^PRSATIM S Y0=Y,Z1=$P(Y,"^",1),Z2=$P(Y,"^",2) D V1 S TIM=Z2-Z1/60
+ .I TT="ML" S MLTIME=MLTIME+TIM
+ .S Z1=$O(T(Z1)) S:Z1'="" Z1=T(Z1)
+ .S Z2=$O(T(Z2-1)) S:Z2'="" Z2=T(Z2)
+ .I TT="UN" D UN^PRSATPH Q
+ .I "CT OT ON SB RG"[TT D OT Q
+ .D LV Q
  ;
  ; Check for a minimum of 1 hour ML
@@ -95,6 +60,5 @@
  I TT="ON"&(X2["HX") Q
  ;I "OT CT"[TT,TIM'>1 Q
- ;none-leave hours are inside tour hours, but quit if inside rs hours
- QUIT:$G(TRS)=2!(TT="HW"&(X2["^RS"))  S ERR=6 QUIT
+ S ERR=6 Q
 TM ; Get OT,CT request,approve times
  S DTI=$P($G(^PRST(458,PPI,1)),"^",DAY),DA=0 Q:'DTI
@@ -108,13 +72,10 @@
  I TC=3!(TC=4) Q
  I TC=1,TT="HW" Q
- ;leave hours are (overlap) outside tour hours or (overlap) inside recess hours
- I ($G(TRS)'=1&(TT="HW")&$G(TRS)) QUIT
- I Z1'="*"!(Z2'="*")!($G(TRS)'=1&(TT'="RS")&$G(TRS)) S ERR=5,FATAL=1 D ERR
+ I Z1'="*"!(Z2'="*") S ERR=5,FATAL=1 D ERR
  ;
 L0 N REMARK S REMARK=$P(X2,"^",K+3)
  Q:REMARK&(REMARK'=15&(REMARK'=16))
  I "HX"[TT D HENCAP
- ;no leave request for non-leave hour and rs types
- QUIT:"RG CP NP HX HW TR TV RS"[TT
+ Q:"RG CP NP HX HW TR TV"[TT
  S DTI=$P($G(^PRST(458,PPI,1)),"^",DAY) Q:'DTI  S (DT1,DT2)=DTI
  I DN D D2 S:DN=2 DT1=DT2
@@ -142,59 +103,7 @@
  S ERR=15 D ERR Q  ; Holiday in current PP
  Q
-NAWS3640(PRSEMP,PPI) ; return true if NAWS 36/40 Nurse for this PPI
- N EMPNODE,PAYPLAN,DTYBASIS,NORMHRS,S8
- S S8=$G(^PRST(458,PPI,"E",PRSEMP,5))
- I S8'="",($E(S8,26,27)'=72!("KM"'[$E(S8,28))!($E(S8,29)'=1)) Q 0
- S EMPNODE=$G(^PRSPC(PRSEMP,0))
- S PAYPLAN=$P(EMPNODE,U,21)
- S DTYBASIS=$P(EMPNODE,U,10)
- S NORMHRS=$P(EMPNODE,U,16)
- Q "KM"[PAYPLAN&(DTYBASIS=1)&(NORMHRS=72)
-SAT2DAY(WK,PRSIEN,PPI) ;
- N HRS,SUNTRHRS,SAT2DAY,PRSD
- S SAT2DAY=0
- S PRSD=$S(WK=1:7,1:14)
- S SAT2DAY=$P($G(^PRST(458,PPI,"E",PRSIEN,"D",PRSD,0)),"^",2)
- I SAT2DAY>0 S SAT2DAY=$P($G(^PRST(457.1,SAT2DAY,0)),U,5)="Y"
- Q SAT2DAY
-CARRYOVR(PRSIEN,PPI) ; true if hours are coming in from last pp
- N PRIORSAT,SAT2DAY
- S SAT2DAY=0
- S PRIORSAT=$P($G(^PRST(458,PPI-1,"E",PRSIEN,"D",14,0)),U,2)
- I PRIORSAT>0 S SAT2DAY=$P($G(^PRST(457.1,PRIORSAT,0)),U,5)="Y"
- Q SAT2DAY
-THREE12(WK,PRSIEN,PPI) ;
- N PRSD,TOURDTY,COUNT,ST,EN
- S COUNT=0
- S ST=$S(WK=1:1,1:8),EN=$S(WK=1:7,1:14)
- F PRSD=ST:1:EN D
- . S TOURDTY=$P($G(^PRST(458,PPI,"E",PRSIEN,"D",PRSD,0)),"^",2)
- . I $P($G(^PRST(457.1,TOURDTY,0)),U,6)=12 S COUNT=COUNT+1
- I COUNT'=3 Q 1
- N HRS
- D TOURHRS^PRSARC07(.HRS,PPI,PRSIEN)
- Q:(HRS($S(WK=1:"W1",1:"W2"))'=36) 1
- Q 0
-HRSMATCH(PPI,DFN) ; Return true if hourly employee tour hrs '= 8B normal hrs
- N MATCH,HRS,NH,ENT,ENTPTR
- I $G(PPI)'>0!($G(DFN)'>0) Q 1
- S MATCH=1
- S NH=-1
- S ENTPTR=$P($G(^PRST(458,PPI,"E",DFN,0)),U,5)
- I ENTPTR'="" D
- .  S ENT=$P($G(^PRST(457.5,ENTPTR,1)),U)
- .  S NH=$E($G(^PRST(458,PPI,"E",DFN,5)),26,27)
- .  Q:NH="00"
- .  I +NH'>0 S NH=$P($G(^PRSPC(DFN,0)),U,50)
- I $G(ENT)="" D ^PRSAENT
- I $G(ENT)'="",$E(ENT)'="D",($E(ENT,1,2)'="0D"),$G(NH)'=112 D
- .  D TOURHRS^PRSARC07(.HRS,PPI,DFN)
- .  I ($G(HRS("W1"))+$G(HRS("W2")))'=+$G(NH) S MATCH=0
- Q MATCH
  ;
 ERR ; Set Error
  S ECNT=ECNT+1,ER(ECNT)=TT_$P($T(ERTX+ERR),";;",2)_"^"_$P(X2,"^",K) Q
-ERR3640 ; Set NAWS (36/40) Errors and errors not related to a single segment
- S ECNT=ECNT+1,ER(ECNT)=$P($T(ERTX+ERR),";;",2) Q
 ERTX ;;
 1 ;;No Tour Entered^
@@ -202,6 +111,6 @@
 3 ;; not Requested
 4 ;; Requested but not Approved
-5 ;; Posted outside of Tour Hours or within Recess Hours
-6 ;; Posted within Tour Hours or outside of Recess Hours
+5 ;; Posted outside of Tour Hours
+6 ;; Posted within Tour Hours
 7 ;; Posted exceeds Requested Hours
 8 ;; Requested but pending Supervisor Approval
@@ -213,8 +122,2 @@
 14 ;; The minimum charge for Military Leave is one hour
 15 ;; was encapsulated by non-pay
-16 ;;36/40 AWS tours require
-17 ;; -no 2 day tours on Sat
-18 ;; -no prior pp carryover
-19 ;; -3 12 hr tours/wk 1
-20 ;; -3 12 hr tours/wk 2
-21 ;;Normal/Tour hrs unequal
Index: FOIAVistA/tag/r/PAID-PRS/PRSAUDP.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSAUDP.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSAUDP.m	(revision 636)
@@ -1,13 +1,8 @@
-PRSAUDP ; WOIFO/DWA - Display Employee Pay Period Audit Data ;12/3/07
- ;;4.0;PAID;**116**;Sep 21, 1995;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSAUDP ; HISC/JLS-Display Employee Pay Period Audit Data ;5/13/94  09:43
+ ;;4.0;PAID;;Sep 21, 1995
  ;called by PRSADP2
  D RET Q:QT
  S STATYPE=$P(^DD(458.1101,4,0),"^",3)
- S PG=PG+1,X=$G(^PRSPC(DFN,0)) W @IOF,!,?3,$P(X,U,1) S X=$P(X,U,9)
- I '$G(PRSTLV)!($G(PRSTLV)=1) W ?68,"XXX-XX-",$E(X,6,9)
- I $G(PRSTLV)=2!($G(PRSTLV)=3) W ?68,$E(X),"XX-XX-",$E(X,6,9)
- I $G(PRSTLV)=7 W ?68,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9)
- W !,?26,"Corrected  T&A  History",!!
+ S PG=PG+1,X=$G(^PRSPC(DFN,0)) W @IOF,!,?3,$P(X,U,1) S X=$P(X,U,9) W ?68,$E(X,1,3),"-",$E(X,4,5),"-",$E(X,6,9),!,?26,"Corrected  T&A  History",!!
 AUN S AUN=0 F  S AUN=$O(^PRST(458,PPI,"E",DFN,"X",AUN)) Q:AUN=""!(QT=1)  D B
  W @IOF
Index: FOIAVistA/tag/r/PAID-PRS/PRSDSERV.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSDSERV.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSDSERV.m	(revision 636)
@@ -1,7 +1,6 @@
-PRSDSERV ;WOIFO/MGD,PLT - PAID DOWNLOAD MESSAGE SERVER ;12/3/07
- ;;4.0;PAID;**6,78,82,116**;Sep 21, 1995;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRSDSERV ;HISC/MGD-PAID DOWNLOAD MESSAGE SERVER ;09/13/2003
+ ;;4.0;PAID;**6,78,82**;Sep 21, 1995
  D NOW^%DTC S TIME=% S XMPOS=1 D REC^XMS3 G:XMER'=0 EXIT
- S LPE=$E(XMRG,1,7) I LPE'?1"**"2N1"PDH",LPE'="****PDH" G EXIT
+ G:$E(XMRG,1,7)'="****PDH" EXIT
  ; EMPCNT = # emp in this mail message
  ; SEQNUM = Mail message sequence number if more than one message
@@ -12,6 +11,4 @@
  I $D(^PRSD(450.12,"B",XMZ)) G EXIT
  S MTYPE=$S(TYPE="I":"Initial",TYPE="E":"Edit & Update",TYPE="P":"Payrun",TYPE="T":"Transfer",1:"")
- ; Set Lines Per Employee (LPE) for the correct interface
- S LPE=$E(LPE,3,4),LPE=$S(LPE?2N:+LPE,TYPE="I":20,(TYPE="E")!(TYPE="T"):15,TYPE="P":9,1:0)
  D REC^XMS3 G:XMER'=0 EXIT S STA=$E(XMRG,1,3) I STA'?3N G EXIT
  I TYPE="D" D ^PRSDDL G EXIT  ; Process Separation download
@@ -26,5 +23,6 @@
  S $P(^PRSD(450.12,+Y,0),U,3)="R",$P(^PRSD(450.12,+Y,0),U,4)=TIME
  S ^PRSD(450.12,"C",TYPE_"-"_DATE_"-"_STA_"-"_SEQNUM,+Y)=""
-SETPRS ;start employee record
+ ; Set Lines Per Employee (LPE) for the correct interface
+SETPRS S LPE=$S(TYPE="I":20,(TYPE="E")!(TYPE="T"):15,TYPE="P":9,1:0)
  S XMPOS=2 F A=1:1:EMPCNT D SSNLOOP Q:SSN=999999999
  I $D(^XTMP("PRS","MNR",TYPE,DATE,STA,SEQNUM)) K ^XTMP("PRS","MNR",TYPE,DATE,STA,SEQNUM) Q
@@ -70,5 +68,5 @@
  Q
  ; Piece together the routine name and call the routine
-PROC S TMPIEN="" F  S TMPIEN=$O(^XTMP("PRS",SUB,DATE,TYPE,STA,SSN,TMPIEN)) Q:TMPIEN=""  S RCD=^XTMP("PRS",SUB,DATE,TYPE,STA,SSN,TMPIEN),RTNNUM=$P(TMPIEN,"-",3) S:$L(RTNNUM)=1 RTNNUM=0_RTNNUM S RTN="^PRSD"_RTYPE_RTNNUM D:$T(@RTN)]"" @RTN
+PROC S TMPIEN="" F  S TMPIEN=$O(^XTMP("PRS",SUB,DATE,TYPE,STA,SSN,TMPIEN)) Q:TMPIEN=""  S RCD=^XTMP("PRS",SUB,DATE,TYPE,STA,SSN,TMPIEN),RTNNUM=$P(TMPIEN,"-",3) S:$L(RTNNUM)=1 RTNNUM=0_RTNNUM S RTN="^PRSD"_RTYPE_RTNNUM D @RTN
  Q
 PROC2 I TYPE="P",PP'="" D ^PRSDCOMP  ;Compute calculated fields
Index: FOIAVistA/tag/r/PAID-PRS/PRSPUT3.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRSPUT3.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRSPUT3.m	(revision 636)
@@ -1,4 +1,4 @@
-PRSPUT3 ;WOIFO/MGD,JAH - PART TIME PHYSICIAN UTILITIES #1 ;03/23/07
- ;;4.0;PAID;**93,112**;Sep 21, 1995;Build 54
+PRSPUT3 ;WOIFO/MGD,JAH - PART TIME PHYSICIAN UTILITIES #1 ;06/15/05
+ ;;4.0;PAID;**93**;Sep 21, 1995;Build 7
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -268,5 +268,5 @@
  S TCH1=$E(T,1,1)
  D E2^PRS8VW
- S CHKLN=$P($T(@(TCH1)+0^PRS8VW2),";;",2)
+ S CHKLN=$P($T(@(TCH1)+0^PRS8VW1),";;",2)
  F I=1:1:$L(CHKLN,"^") D  Q:FOUND
  .  S CHUNK=$P(CHKLN,U,I)
